Bug 39160 - [Qt] Qt doesn't handle unreachable network addresses correctly
: [Qt] Qt doesn't handle unreachable network addresses correctly
Status: RESOLVED INVALID
: WebKit
WebKit Qt
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
: Qt
:
:
  Show dependency treegraph
 
Reported: 2010-05-15 06:19 PST by
Modified: 2014-02-03 03:16 PST (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-05-15 06:19:03 PST
This problem shows up in LayoutTests/security/block-test.html

Bug and fix being worked at http://bugreports.qt.nokia.com/browse/QTBUG-10679
------- Comment #1 From 2011-01-17 13:24:48 PST -------
This will be fixed in Qt 4.7.2
------- Comment #2 From 2011-05-29 08:20:33 PST -------
This is going to stay broken. The http part is fixed but FTP is not:

"We don’t touch the FTP code currently, so it’s broken as it is."
http://qt.gitorious.org/qt/qt/merge_requests/632
------- Comment #3 From 2014-02-03 03:16:32 PST -------
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.